PATCH /v1/comments/\{comment_id\}
Service: community · operationId: (none)
Required scopes
(no scope declared — review service config)
Path parameters
comment_id(string) required —
Request body
{
"type": "object",
"properties": {
"body": {
"type": "string",
"minLength": 1
}
},
"required": [
"body"
]
}Responses
200 Comment updated
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"post_id": {
"type": "string"
},
"author_id": {
"type": "string"
},
"brand_id": {
"type": "string"
},
"parent_comment_id": {
"type": [
"string",
"null"
]
},
"body": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"edited_at": {
"type": [
"string",
"null"
]
},
"deleted_at": {
"type": [
"string",
"null"
]
}
},
"required": [
"id",
"post_id",
"author_id",
"brand_id",
"parent_comment_id",
"body",
"created_at",
"updated_at",
"edited_at",
"deleted_at"
]
}400 Validation error
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}403 Edit not allowed
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}404 Comment not found
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}410 Edit window expired
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}Example
curl -X PATCH https://community.platform.loop.health/v1/comments/{comment_id} \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{ ... }'Related
services/community— service overview- All endpoints — directory across services
- Auth model — how scopes are enforced